Skip to main content
`Ctrl`+`K`

# MatCoarsenRegisterAll

Registers all of the matrix Coarsen routines in PETSc.

## Synopsis

    PetscErrorCode MatCoarsenRegisterAll(void)

Not Collective

## See Also

`MatCoarsen`, `MatCoarsenType`, `MatCoarsenRegister()`, `MatCoarsenRegisterDestroy()`

## Level

developer

## Location

src/mat/graphops/coarsen/interface/scoarsen.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages